Summary:	A Gnome Jabber Client
Name:		gabber
Version:	0.8.3
Release:	5
Copyright:	GPL
Group:		Applications/Communications
Source:		ftp://gabber.sourceforge.net/pub/gabber/%{name}-%{version}.tar.gz
URL:		http://gabber.sourceforge.net/
BuildRoot:	/var/tmp/%{name}-%{version}-root

Requires: 	gnome-libs >= 1.2.0
Requires:	libglade >= 0.11
Requires:       gal >= 0.7
Requires: 	libsigc++ >= 1.0.0
Requires:	gtkmm >= 1.2.1
Requires:       gnomemm >= 1.1.12
Requires:       openssl >= 0.9.5a
BuildRequires:  gnome-print-devel, gdk-pixbuf-devel
BuildRequires:  libglade-devel >= 0.11
BuildRequires:  gal-devel >= 0.7
BuildRequires:  gnome-libs-devel >= 1.2.0
BuildRequires:  libsigc++-devel >= 1.0.0
BuildRequires:  gtkmm-devel >= 1.2.1
BuildRequires:  gnomemm-devel >= 1.1.12
BuildRequires:  openssl-devel >= 0.9.5a

%description
Gabber is a Gnome client for the distributed Open Source instant messaging 
system called Jabber. Gabber is a fairly complete client while 
remaining easy to use, walking the line between being very powerful and still 
making sense.

%prep
%setup -q

%build
if [ ! -f configure ]; then
  ./autogen.sh --prefix=%{_prefix} --sysconfdir=%{_sysconfdir} --localstatedir=/var/lib
fi

%configure --localstatedir=/var/lib

make

%install
rm -rf $RPM_BUILD_ROOT
%makeinstall

%clean
rm -rf $RPM_BUILD_ROOT

%files
%defattr(-, root, root)
%doc AUTHORS COPYING COPYING.exception ChangeLog INSTALL NEWS README 
%doc README.FreeBSD TODO
%{_sysconfdir}/sound/events/%{name}.soundlist
%{_bindir}/*
%{_datadir}/%name
%{_datadir}/gnome/apps/Internet/*
%{_datadir}/gnome/help/%{name}
%{_datadir}/locale/*/*/*
%{_datadir}/omf/%{name}
%{_datadir}/pixmaps/*
%{_datadir}/sounds/%{name}
%{_mandir}/man1/*


%changelog
* Thu Jun 14 2001 Gregory Leblanc <gleblanc@rh7.build.cu-portland.edu>
- added a build requires line on gnome-print-devel
- added build dependancy for gdk-pixbuf-devel

* Fri May 18 2001 Gregory Leblanc <gleblanc@cu-portland.edu>
- added BuildRequires lines
- cleaned up %files section a bit
- cleaned up %changelog, and moved it to the end of the file

* Thu Apr 26 2001 Julian Missig <julian@jabber.org>
- No longer super-generic .spec since Matthias pointed out that RPM
  tries to remove every directory on uninstall (but fortunately fails to
  do so)

* Sun Jan 21 2001 Gregory Leblanc <gleblanc@cu-portland.edu>
- some cleanups, trying to make it easier for people to adapt to their
  particular distribution.

* Tue Oct 10 2000 Konrad Podloucky <konrad@users.sourceforge.net>
- removed gnet dependency

* Fri May 19 2000  Julian Missig  <julian@linuxpower.org>
- Now using a super generic .spec file. If anyone can tell me why I
  shouldn't do this, I'll stop.

* Wed May 03 2000  Julian Missig  <julian@linuxpower.org>
- Now using make install-strip to generate a small binary. Much nicer. :)

* Wed Apr 26 2000  Julian Missig  <julian@linuxpower.org>
- Made sure everything seems OK for 0.5.
- Moved to libsigc++ 1.0.0, since older versions are binary incompatible. :(

* Thu Apr 06 2000  Julian Missig  <julian@linuxpower.org>
- Updated to install i18n support

* Sun Apr 02 2000  Julian Missig  <julian@linuxpower.org>
- Updated to install Gabber Manual

* Sat Apr 01 2000  Julian Missig  <julian@linuxpower.org>
- First version of the spec file. It seems to work.
